{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "TESTGRIDNAME",
        "codeName" : "TESTGRIDName"
      }
    } ],
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    },
    "getValuePSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "TESTGRIDID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "TESTGRIDID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "CREATE",
    "actionName" : "test1120",
    "codeName" : "Testgrid",
    "methodType" : "DEACTION",
    "name" : "Testgrid",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Testgrid.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Testgrid"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/testgrid",
    "builtinMethod" : false
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "UpdateItem",
    "methodType" : "DEACTION",
    "name" : "UpdateItem",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/UpdateItem.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "UpdateItem"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "requestPath" : "/updateitem",
    "builtinMethod" : false,
    "needResourceKey" : true
  } ],
  "getAllPSAppDEDataImports" : [ {
    "batchSize" : 1000,
    "codeName" : "test_data_import1",
    "createDataAccessAction" : "CREATE",
    "getCreatePSAppDEAction" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getCreatePSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Create.json"
    },
    "name" : "测试数据导入",
    "getPSDEDataImportItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "name" : "UPDATEDATE",
      "orderValue" : 100,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEMAN"
      },
      "caption" : "更新人",
      "name" : "UPDATEMAN",
      "orderValue" : 110,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    } ],
    "updateDataAccessAction" : "UPDATE",
    "getUpdatePSAppDEAction" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getUpdatePSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Update.json"
    },
    "enableBackend" : true,
    "enableFront" : true,
    "ignoreError" : false
  }, {
    "batchSize" : 1000,
    "codeName" : "test_data_import2",
    "createDataAccessAction" : "CREATE",
    "getCreatePSAppDEAction" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getCreatePSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Create.json"
    },
    "name" : "测试数据导入自定义",
    "getPSDEDataImportItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "name" : "UPDATEDATE",
      "orderValue" : 100,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEMAN"
      },
      "caption" : "更新人",
      "name" : "UPDATEMAN",
      "orderValue" : 110,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    } ],
    "updateDataAccessAction" : "UPDATE",
    "getUpdatePSAppDEAction" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getUpdatePSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Update.json"
    },
    "defaultMode" : true,
    "enableBackend" : true,
    "enableCustomized" : true,
    "enableFront" : true,
    "ignoreError" : false
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[TEST1][属性]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[TEST1][属性]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[TEST1][属性]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[TEST1][属性]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "Test1",
    "logicName" : "属性",
    "name" : "TEST1",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[TEST2][属性2]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[TEST2][属性2]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[TEST2][属性2]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[TEST2][属性2]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "Test2",
    "logicName" : "属性2",
    "name" : "TEST2",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TEST3][属性3]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[TEST3][属性3]",
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TEST3][属性3]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[TEST3][属性3]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Test3",
    "logicName" : "属性3",
    "name" : "TEST3",
    "stdDataType" : 6
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TEST4][属性4]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[TEST4][属性4]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TEST4][属性4]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[TEST4][属性4]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Test4",
    "logicName" : "属性4",
    "name" : "TEST4",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[GROUPNAME][分组属性]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[GROUPNAME][分组属性]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[GROUPNAME][分组属性]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[GROUPNAME][分组属性]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "GroupName",
    "logicName" : "分组属性",
    "name" : "GROUPNAME",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TEST6][属性5]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "HIDDEN",
        "name" : "[TEST6][属性5]",
        "stringLength" : 1048576,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TEST6][属性5]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "HIDDEN",
        "name" : "[TEST6][属性5]移动端默认",
        "stringLength" : 1048576,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "TEST6",
    "logicName" : "属性5",
    "name" : "TEST6",
    "stdDataType" : 21,
    "stringLength" : 1048576
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TESTGRIDID][测试表格标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTGRIDID"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[TESTGRIDID][测试表格标识]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TESTGRIDID][测试表格标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTGRIDID"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[TESTGRIDID][测试表格标识]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "TESTGRIDId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.TESTGRIDID"
    },
    "logicName" : "测试表格标识",
    "name" : "TESTGRIDID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TESTGRIDNAME][测试表格名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTGRIDNAME"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[TESTGRIDNAME][测试表格名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TESTGRIDNAME][测试表格名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTGRIDNAME"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[TESTGRIDNAME][测试表格名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "TESTGRIDName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.TESTGRIDNAME"
    },
    "logicName" : "测试表格名称",
    "name" : "TESTGRIDNAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "TESTGRIDDTO",
    "name" : "TESTGRIDDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "Test1",
      "logicName" : "属性",
      "name" : "Test1",
      "getPSAppDEField" : {
        "name" : "TEST1",
        "codeName" : "Test1"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Test2",
      "logicName" : "属性2",
      "name" : "Test2",
      "getPSAppDEField" : {
        "name" : "TEST2",
        "codeName" : "Test2"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Test3",
      "logicName" : "属性3",
      "name" : "Test3",
      "getPSAppDEField" : {
        "name" : "TEST3",
        "codeName" : "Test3"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 6,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Test4",
      "logicName" : "属性4",
      "name" : "Test4",
      "getPSAppDEField" : {
        "name" : "TEST4",
        "codeName" : "Test4"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "GroupName",
      "logicName" : "分组属性",
      "name" : "GroupName",
      "getPSAppDEField" : {
        "name" : "GROUPNAME",
        "codeName" : "GroupName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "TEST6",
      "logicName" : "属性5",
      "name" : "TEST6",
      "getPSAppDEField" : {
        "name" : "TEST6",
        "codeName" : "TEST6"
      },
      "sourceType" : "DEFIELD",
      "type" : "DTOS"
    }, {
      "codeName" : "CreateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "TESTGRIDId",
      "logicName" : "测试表格标识",
      "name" : "TESTGRIDId",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "TESTGRIDName",
      "logicName" : "测试表格名称",
      "name" : "TESTGRIDName",
      "getPSAppDEField" : {
        "name" : "TESTGRIDNAME",
        "codeName" : "TESTGRIDName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "TESTGRIDFilterDTO",
    "name" : "TESTGRIDFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_TESTGRIDID_EQ",
      "logicName" : "测试表格标识",
      "name" : "N_TESTGRIDID_EQ",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_TESTGRIDNAME_LIKE",
      "logicName" : "测试表格名称",
      "name" : "N_TESTGRIDNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "TESTGRIDNAME",
        "codeName" : "TESTGRIDName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "TESTGRIDID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "TESTGRIDID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "CREATE",
    "actionName" : "test1120",
    "codeName" : "Testgrid",
    "methodType" : "DEACTION",
    "name" : "Testgrid",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Testgrid.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Testgrid"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/testgrid",
    "builtinMethod" : false
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "UpdateItem",
    "methodType" : "DEACTION",
    "name" : "UpdateItem",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID/PSDEACTIONS/UpdateItem.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "UpdateItem"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "requestPath" : "/updateitem",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "TESTGRIDDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEUIActions" : [ {
    "actionTarget" : "NONE",
    "caption" : "自定义导入",
    "codeName" : "import_test_grid_custom",
    "frontProcessType" : "DATAIMP",
    "fullCodeName" : "TESTGRID_import_test_grid_custom",
    "name" : "自定义导入",
    "getPSAppDEDataImport" : {
      "modelref" : true,
      "id" : "test_data_import2"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "uIActionMode" : "FRONT",
    "uIActionTag" : "import_test_grid_custom",
    "uIActionType" : "DEUIACTION",
    "globalUIAction" : true,
    "id" : "import_test_grid_custom@TESTGRID"
  }, {
    "actionTarget" : "NONE",
    "caption" : "默认导入",
    "codeName" : "import_test_grid_default",
    "fullCodeName" : "TESTGRID_import_test_grid_default",
    "name" : "默认导入",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "uIActionMode" : "FRONT",
    "uIActionTag" : "import_test_grid_default",
    "uIActionType" : "DEUIACTION",
    "globalUIAction" : true,
    "id" : "import_test_grid_default@TESTGRID"
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDRedirectView.json",
    "viewType" : "DEREDIRECTVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDPickupGridView.json",
    "viewType" : "DEPICKUPGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr09053571GridView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr08223952GridView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr08223952GridView1.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDGridTestArrangePView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDTestEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDPickupView.json",
    "viewType" : "DEPICKUPVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr12216129TestCustomView.json",
    "viewType" : "DECUSTOMVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "TESTGRID",
  "dEAPICodeName" : "testgrid",
  "dEAPICodeName2" : "testgrids",
  "dEAPITag" : "TESTGRID",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "getDefaultPSAppDEDataImport" : {
    "modelref" : true,
    "id" : "test_data_import2"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "TESTGRIDID",
    "codeName" : "TESTGRIDId"
  },
  "logicName" : "测试表格",
  "getMajorPSAppDEField" : {
    "name" : "TESTGRIDNAME",
    "codeName" : "TESTGRIDName"
  },
  "name" : "TESTGRID",
  "getPSDEName" : "TESTGRID",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "TESTGRID"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/common/PSDATAENTITIES/TESTGRID.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/TrainSys.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "TESTGRIDNAME",
    "codeName" : "TESTGRIDName"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "TrainSys",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}